# data_tree.hpp File Reference

two classes used to store tree information in dar_manager databases More...

`#include "../my_config.h"`
`#include <map>`
`#include <string>`
`#include <list>`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`
`#include "catalogue.hpp"`
`#include "special_alloc.hpp"`
`#include "user_interaction.hpp"`

Go to the source code of this file.

## Classes
class | libdar::data_tree
| the data_tree class stores presence of a given file in a set of archives More...
class | libdar::data_dir
| the data_dir class inherits from data_tree and holds the directory tree's parent relationship More...
## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

two classes used to store tree information in dar_manager databases

Definition in file data_tree.hpp.